/*
 Theme Name:   Magneet Agency Child
 Theme URI:    https://bureaumagneet.nl/
 Description:  Thema voor custom code
 Author:       Magneet Agency
 Author URI:   https://bureaumagneet.nl/
 Template:     bricks
 Version:      januari 2024
 Text Domain:  bricks
*/

/*Section aanpassen media*/
.s-bm-media-klein {
    width: 100%;
    display: flex;
    flex-direction: column;
    align-items: center;
}

.c-bm-media-klein {
    width: 100%;
    max-width: 1380px;
    display: flex;
    flex-direction: column;
    align-items: center;
}

.mc-bm-media-klein {
width: 100%;
max-width: 800px;
}

.s-bm-media-groot {
width: 100%;
display: flex;
justify-content: center;
}

.c-bm-media-groot {
width: 100%;
max-width: 1380px;
}

.mc-bm-media-groot {
width: 100%;
}

.s-bm-media-fullscreen {
width: 100%;
}

.c-bm-media-fullscreen {
width: 100%;
}

.mc-bm-media-fullscreen {
width: 100%;
}

.iframe-img-bm-media-klein {
	width:100%;
}

.iframe-img-bm-media-groot {
	width: 100%;
	height: clamp(32rem, calc(32rem + ((1vw - 0.32rem) * 41.6667)), 72rem);
	object-fit: cover;
}

.iframe-img-bm-media-fullscreen {
	width:100%;
	min-width:100%;
	height:100vh;
}

/* Link kleuren */

.bm-t-container a {
	color: #c81517;
}

.bt-cf a {
	color: #c81517;
}

/*Placeholder*/
.media-placeholder {
    display: flex;
    align-items: center;
    justify-content: center;
}

.media-v-play-btn {
    font-size: 10rem;
}

/*Grid classes*/
.twee-items{
	grid-template-columns:repeat(auto-fill, minmax(clamp(30rem, calc(30rem + ((1vw - 0.32rem) * 19.7917)), 49rem), 1fr));
}

.drie-items{
	grid-template-columns:repeat(auto-fill, minmax(390px, 1fr));
}

.vier-items{
	grid-template-columns:repeat(auto-fill, minmax(clamp(15rem, calc(15rem + ((1vw - 0.32rem) * 14.5833)), 29rem), 1fr));
}

/*Bovenruimte*/
.ge-top{
	padding-top:0rem;
}

.k-top{
	padding-top:3rem;
}

.m-top{
	padding-top:6rem;
}

.gr-top{
	padding-top:9rem;
}
/*Onderruimte*/
.ge-bottom{
	padding-bottom:0rem;
}

.k-bottom{
	padding-bottom:3rem;
}

.m-bottom{
	padding-bottom:6rem;
}

.gr-bottom{
	padding-bottom:9rem;
}

/*CTA*/
.bm-header-cta-container {
    display: flex;
    flex-direction: row;
    align-items: center;	
    gap: 10px;
}



.cta-container {
    display: flex;
    gap: 10px;
	margin-top:2rem;
}

@media only screen and (max-width: 600px) {
.cta-container {
    display: flex;
 	flex-direction: column;
	align-items: flex-start;
}
.c-bm-footer-t .cta-container {
    display: flex;
 	flex-direction: row;
}
}

.cta-space {
	margin-top: 2rem;
}

.pri-cta, .sec-cta {
    padding: 12px 14px 9px 14px;
    border: 2px solid #c81517;
	transition: background-color 0.2s, color 0.2s;
	transition: border-color 0.2s, color 0.2s;
	display: flex;
    align-items: center;
    gap: 5px;
	font-family: "Berthold Akzidenz Grotesk Condensed";
	font-size: 24px;
    text-transform: uppercase;
	font-weight: 700;
	line-height: 1;
}

a.pri-cta {
    color: #fff !important;
}

.pri-cta {
    background-color: #c81517;
    color: #fff;
}

.sec-cta {
    background-color: #fff;
    color: #c81517;
}

.pri-cta:hover {
	border: 2px solid #000;
    background-color: #000;
    color: #fff;
}

.sec-cta:hover {
	border: 2px solid #000;
    color: #000;
}

.button-icon {
    width: 15px;
    height: 15px;
	fill:currentColor;
	display: flex;
}

/* Embed code */
.embed-container { 
    position: relative; 
    overflow: hidden;
    padding-top: 56.25%; /* voor 16:9 verhouding */
    height: 100%;
    width: 100%;
} 

.embed-container iframe,
.embed-container object,
.embed-container embed { 
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
}

/* Grid */
.bm-grid-items-container {
	width: 100%;
	display: grid;
	gap: 30px;
}

.bm-grid-items-ctn a {
    color: #c81517;
}

/* Tekst */
/* Standaard styling voor de tekstcontainer */
.bm-t-container {
    /* Andere stijlen die je mogelijk al hebt ingesteld. */
}

.grote-tekst {
    font-size: clamp(2.2rem, calc(2.2rem + ((1vw - 0.32rem) * 1.875)), 4rem);
	line-height: 1.2;
	border-style: solid;
	border-width: 1px 0px 1px 0px;
	border-color: #ccc;
	padding-top: 3rem;
	padding-bottom: 2rem;
	font-family: "Berthold Akzidenz Grotesk";
}

.egs {
	font-family: "Berthold Akzidenz Grotesk Condensed";
}

/* Als centreren is ingeschakeld */
.bm-t-center {
    max-width: 690px;
    margin-left: auto;
    margin-right: auto;
}

.bm-t-container.bm-t-center h2 {
    font-size: 24px;
    margin-bottom: 1rem;
}

/* Als smalle tekst is ingeschakeld */
.bm-t-small {
    max-width: 580px;
}

/* Stijlen om de knoppen te centreren wanneer tekst gecentreerd is */
.bm-t-center .cta-container {
    text-align: center; /* dit is om de knoppen te centreren */
}

/* Tekst met media */

/* Basisopmaak voor de container */
.brxe-container.c-t-img {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(300px, 1fr));
    grid-column-gap: 30px;
    grid-row-gap: 30px;
}

/* Standaard opmaak voor afbeeldingen */
.dr-t-img img.t-img {
    width: 100%;
}

/* Als huisstijl is ingeschakeld */
.dr-t-img img.t-img.ti-design {
    width: 100%;
    height: 440px;
    object-fit: cover;
}

.t-img-text h2 {
	font-family: "Berthold Akzidenz Grotesk";
	font-weight: 700;
}

/* Standaard order voor kinderelementen */
.brxe-container.c-t-img .dl-t-img {
    order: 0;
}
.brxe-container.c-t-img .dr-t-img {
    order: 1;
}

/* Wanneer de volgorde is veranderd */
.brxe-container.c-t-img.t-img-order .dl-t-img {
    order: 1;
}
.brxe-container.c-t-img.t-img-order .dr-t-img {
    order: 1;
}

/*andere styling voor mobiel*/
@media screen and (max-width: 992px) { /* Pas deze breakpoint aan indien nodig */
    .mobile-order {
        display: flex;
        flex-direction: column;
    }

    .mobile-order .<?php echo $text_class; ?> {
        order: 2;
    }

    .mobile-order .<?php echo $base_class; ?> {
        order: 1;
    }
}

/*Wanneer fullscreen is ingeschakeld*/
.t-m-section-full {
    padding: 0rem!important;
	height:90vh;
}

.t-m-fullscreen {
    width: 100%!important;
	padding: 0rem!important;
	height:100%;
}

.t-m-fullscreen .t-img-text {
    display: flex;
    width: 100%;
    height: 100%;
    align-items: center;
    justify-content: center;
}

.t-m-fullscreen .t-m-fullscreen-center {
    max-width: 500px;
}

.t-m-fullscreen .bm-media{
	height:100%;
	min-height:100%;
}

.t-m-fullscreen .iframe-img-bm-media {
    min-width: 100%;
	min-height:100%;
}

/* Zoekresultaten */
.bm-search-results {
    margin: 20px 0;
    padding: 0;
}

.bm-search-result {
    display: flex;
    flex-wrap: wrap;
    margin-bottom: 30px;
    border-bottom: 1px solid #e5e5e5;
    padding-bottom: 20px;
}

.bm-search-result-image {
    flex: 1 1 100px;
    margin-right: 20px;
}

.bm-search-result-image img {
    max-width: 100%;
    height: auto;
}

.bm-search-result-content {
    flex: 1 1 calc(100% - 120px);
}

.bm-search-result-content h3 {
    font-size: 20px;
    margin-top: 0;
    margin-bottom: 10px;
}

.bm-search-excerpt {
    font-size: 14px;
    color: #666;
    margin-bottom: 15px;
}

/* Overzicht */
.c-ovz h2 {
    margin-bottom: 2rem;
}

.cta-container.ovz-cta {
    width: 100%;
    justify-content: center;
}

.bm-ovz-container {
    display: grid;
	width: 100%;
	gap: clamp(2rem, calc(2rem + ((1vw - 0.32rem) * 1.0417)), 3rem);
}


.bm-ovz-block {
	position: relative;
}

.bm-ovz-img-wrapper {
    display: block;
    overflow: hidden; /* Voor het geval dat je specifieke styling of extra bescherming tegen overloop wilt toevoegen */
}

.bm-ovz-block:hover .bm-ovz-img {
    transform: scale(1.1); /* Inzoomen met een factor van 1.1 */
}

.bm-ovz-img {
	width: 100%;
	height: clamp(24rem, calc(24rem + ((1vw - 0.32rem) * 29.1667)), 52rem);
	object-fit: cover;
    object-position: center;
	transition: transform 0.3s ease; /* Soepele overgang gedurende 0.3 seconden */
    display: block; /* Zorgt ervoor dat de afbeelding zich correct gedraagt tijdens de overgang */
	overflow: hidden;
}

.bm-ovz-video-wrapper {
	height: clamp(24rem, calc(24rem + ((1vw - 0.32rem) * 29.1667)), 52rem);
}

.bm-ovz-content {
	display: flex;
	position: absolute;
	left: clamp(0.5rem, calc(0.5rem + ((1vw - 0.32rem) * 2.6042)), 3rem);
	bottom: clamp(0.5rem, calc(0.5rem + ((1vw - 0.32rem) * 2.6042)), 3rem);
	right: clamp(0.5rem, calc(0.5rem + ((1vw - 0.32rem) * 2.6042)), 3rem);
}

.bm-ovz-excerpt {
    margin-bottom: 2rem;
}

p.bm-ovz-excerpt {
    max-width: 375px;
}

.ter-cta {
	font-weight: 700;
	font-style: italic;
	color: var(--bricks-color-suagdr);
    display: inline-block;
    margin-top: 5px; /* wat ruimte tussen de titel en de knop */
}

.bm-ovz-block:hover .ter-cta {
    color: #ff0000;
}

.bm-ovz-block {
    overflow: hidden;
}

.bm-ovz-title {
	font-size: clamp(1.8rem, calc(1.8rem + ((1vw - 0.32rem) * 0.8333)), 2.6rem);
	line-height: 1;
	background-color: #c81517;
	color: #fff;
	padding: 1.5rem 2rem 1rem 2rem;
	transform: rotate(-1deg);
}

.bm-ovz-block:hover .bm-ovz-title {
	transform: rotate(-2deg);
	background-color: #000;
}

.bm-ovz-container {
    margin-bottom: clamp(3rem, calc(3rem + ((1vw - 0.48rem) * 2.5)), 5rem);
}

.cta-container.ovz-cta-c {
    width: 100%;
    justify-content: center;
}
@media only screen and (max-width: 600px) {
.bm-ovz-title {
		padding: 0.8rem 0.5rem 0.5rem 0.5rem;
}
}
.vier-items .bm-ovz-title {
	font-size: clamp(1.2rem, calc(1.2rem + ((1vw - 0.32rem) * 0.8333)), 2rem);
}

/* Agenda */
.agenda-item {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
	padding-top: 2rem;
	padding-bottom: 2rem;
	border-style: solid;
	border-color: #ccc;
	border-width: 0px 0px 1px 0px;
}

@media only screen and (max-width: 600px) {
.agenda-item {
	  flex-direction: column;
	}
	.meta-date {
		margin-top: 3rem;
	}
}

.dl-agenda h3 {
    font-size: clamp(2rem, calc(2rem + ((1vw - 0.32rem) * 1.0417)), 3rem);
	margin-bottom: 2rem;
}

.agenda-tt {
    display: flex;
    flex-direction: row;
    gap: 0.4rem;

}

.agenda-tijd, .agenda-tags, .meta-date {
	font-family: "Berthold Akzidenz Grotesk Condensed";
    text-transform: uppercase;
	font-weight: 700;
	line-height: 1;
}

.agenda-tijd, .agenda-tags span {
	font-size: 20px;
	padding: 8px 10px 5px 10px;
}

.agenda-tijd{
	color: #fff;
	background-color: #955f8e;
}

.agenda-tags span {
	color: #fff;
	background-color: #5ec4f1;
}

.meta-date {
	color: #c81517;
font-size: 30px;
}
.dr-agenda {
    display: flex;
    flex-direction: column;
    justify-content: center;
}

.agenda-item:hover {
	border-color: #955f8e;
}

.agenda-tags {
    display: flex;
    flex-direction: row;
    gap: 0.4rem;
}

/* Footer */
.s-bm-footer.brxe-section:before {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    height: 9px;
    background-image: url(https://deklep.magneetagency.dev/wp-content/uploads/2024/08/streep.svg);
    background-repeat: repeat-x;
}

/* Iframe en codeblock */
iframe {
    border-style: none;
}

/* Formulier */
.fluentform .ff-el-input--label.ff-el-is-required.asterisk-right label:after {
	display: none;
}

.brxe-xfluentform .ff-el-repeat-buttons-list svg {
    font-size: 28px !important;
}

/* Age gate */

img.age-gate__heading-title.age-gate__heading-title--logo {
    width: 100%;
    max-width: 130px;
}

.age-gate__buttons {
	margin-top: 2rem;
}

button.age-gate-button, button.age-gate-submit-no, button.age-gate-submit-yes, button.age-gate__button, button.age-gate__submit--no, button.age-gate__submit--yes {
	font-size: 18px;
padding: 1.3rem 3rem 1rem 3rem;	
	background-color: #000;
}


/* Updatesformulier */
.updates-titel {
	font-size: 20px;
}

/* ww pagina */
form.post-password-form {
    padding-top: 25rem;
}

/* Cookiemelding */
.cmplz-links ul {
    list-style: none;
    display: flex;
    padding: 0;
    margin: 0;
}


.cmplz-documents.cmplz-links ul {
    gap: 20px;
}